*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html{
  scroll-behavior: smooth;
}
body{
font-family: 'Montserrat', sans-serif;
background-color: #f5f5f5;
}
.navbar {
  display: flex;
  position: relative;
  justify-content: space-between;
  align-items: center;
  background-color: #526D82;
  color: white;
  /* margin-top: 1rem; */
  padding: 10px;
}

.brand-title {
  display: flex;
  align-items: center;
  font-size: 1.8rem;
  margin: .5rem;
}

.brand-title img {
  width: 50px;
  height: 50px;
  margin-right: 10px;
}

.navbar-links {
  height: 100%;
}

.navbar-links ul {
  display: flex;
  margin: 0;
  padding: 0;
}

.navbar-links li {
  list-style: none;
}

.navbar-links li a {
  display: block;
  text-decoration: none;
  color: white;
  padding: 1rem;
  font-size: 1.3rem;
}

.navbar-links li:hover {
  background-color: #555;
}

li img.login-icon-img {
  display: inline-block;
  vertical-align: middle; /* Ensure alignment */
}
.toggle-button {
  position: absolute;
  top: .75rem;
  right: 1rem;
  display: none;
  flex-direction: column;
  justify-content: space-between;
  width: 30px;
  height: 21px;
}

.toggle-button .bar {
  height: 3px;
  width: 100%;
  background-color: white;
  border-radius: 10px;
  
}

@media (max-width: 800px) {
  .navbar {
    flex-direction: column;
    align-items: flex-start;
  }

  .toggle-button {
    display: flex;
  }

  .navbar-links {
    display: none;
    width: 100%;
  }

  .navbar-links ul {
    width: 100%;
    flex-direction: column;
  }

  .navbar-links ul li {
    text-align: center;
  }

  .navbar-links ul li a {
    padding: .5rem 1rem;
  }

  .navbar-links.active {
    display: flex;
  }
}
.login-icon-img{
  width: 25px;

}
/* header  */
#header{
  background-image: url(images/hotel-bg1.jpg);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  object-fit: contain;
  color: white;
  height: 100vh;
  display: flex;
  justify-content: start;
  align-items: center;
  flex-wrap: wrap;
  flex-basis: content;
  padding: 7% 10%;
}
.home-col-right{
  position: fixed;
  top: 50;
  right: 0;

}
.hotel-name{
  font-size: 4rem;
  font-family: 'Playfair Display', serif;
  font-weight: 900;
  line-height: 1.5;
  width: 55%;
}
.slogan{
  font-size: 1.5rem;
  color: #8ba4b7;
  font-weight: 400;
}
.hotel-typed-name{
  color: red;

}
.home-col-right{
  position: relative;
}
.logo{
  width: 400px;
  height: 400px;
}
@media only screen and (max-width: 768px) {
.slogan {
  font-size: 1rem;
  width: 70%;
}
.hotel-name{
  font-size: 3rem;
  width: 60%;
}
}
@media only screen and (max-width: 471px) {

  .logo{
      width: 200px;
      height: 200px;
  }
}
@media only screen and (max-width: 1082px) {
  .home-col-right{
      position: relative;
      /* top: 50;
      right: 0; */
    }
}
@media only screen and (min-width:500px){
  .hotel-name{
      font-size: 3.5rem;
  }
  .slogan{
      font-size: 1.5rem;
  }
}
/* //about section  */
#about{
  min-height: 100vh;
  padding: 7% 10%;
  text-align: left;
  background-color: #D6E4E5;
}
.about-heading{
font-size: 3rem;
margin-bottom: 2rem;
font-weight: bold;
color: #526D82;
text-align: left;
}
.about-container{
display: flex;
flex-wrap: wrap;
gap: 1rem;
padding: 10px;
/* box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px; */
}

.about-img{
  width: 500px;
  /* height: 500px; */
  object-fit: fill;
}
.about-right-img{
width: 500px;
}
.about-left-text{
  width: 500px;
  text-align: left;
  font-size: 1rem;
  

}

/* //sign in button  */
.book-room-btn {
  display: inline-block;
  padding: 12px 24px;
  margin-top: 2rem;
  font-size: 1.3rem;
  font-weight: bold;
  color: #ffffff;
  background-color: #4285f4; 
  border: none;
  border-radius: 15px; 
  cursor: pointer;
  box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.3); 
  transition: background-color 0.3s, transform 0.2s;
}

.book-room-btn:hover {
  background-color: #377ae8;
  transform: scale(1.05);
}

/* On click, reduce the scale to give a pressed effect */
.book-room-btn:active {
  transform: scale(0.95);
}
/* //hotel room css */
.h1 {
font-size: 28px;
font-weight: 300;
flex: 1;
}

.h5 {
font-weight: 500;
line-height: 1.7em;
}

.h6 {
color: #666;
font-size: 14px;
}

#rooms {
display: flex;
flex-wrap: wrap;
padding: 4% 10%;
}

.room-card {
display: flex;
flex-direction: column;

padding: 2%;
flex: 1 16%;

background-color: #FFF;
box-shadow: 0px 0px 1px 0px rgba(0,0,0,0.25);
}
.room-card:hover{
box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 12px;
transform: scale(1.02);
background-color: #f7f7f7;
cursor: pointer;
}
.hotel-rooms img {
width: 100%;
}

.room-info {
margin-top: auto;
padding-top: 20px;
text-align: center;
text-align: left;
}

.rooms-heading {
font-size: 2rem;
margin-bottom: 2rem;
font-weight: bold;
color: #526D82;
text-align: left;
}
.room-card-container{
display: flex;
flex-wrap: wrap;
justify-content: space-between;
gap: 1rem;
}

/* // review section  */
#reviews {
padding: 7% 10%;
text-align: center;
background-color: #D6E4E5;
}

.review-heading {
font-size: 2rem;
margin-bottom: 2rem;
font-weight: bold;
color: #526D82;
text-align: left;
}
.review-cards-container {
display: flex;
flex-wrap: wrap;
justify-content: space-between;
gap: 1rem;
/* box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px; */
}

.review-card {
display: flex;
flex-wrap: wrap;
flex-direction: row;
box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
border-radius: 1rem;
padding: 30px;
text-align: left;
flex: 1 16%;
transition: box-shadow 0.3 ease;
background-color: #ffffff;
/* rotate: 180deg; */
}
.review-card:hover{
box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 12px;
transform: scale(1.02);
background-color: #f7f7f7;
cursor: pointer;

}
.review-text > p {
width: 100%;
color: #666;
}
.review-text > p:hover{
color: #555;
}
.review-avtaar {
width: 100px;
}

/* //contact  */

.contact-container{
display: flex;
align-items: center;
justify-content: center;
}
#map {
height: 400px;
width: 100%;
margin-bottom: 20px;
}
.contact-form {
max-width: 500px;
margin: 0 auto;
}

.form-group {
margin-bottom: 20px;
}

label {
display: block;
font-weight: bold;
}

input,
textarea {
width: 100%;
padding: 10px;
border: 1px solid #ccc;
border-radius: 5px;
}

button[type="submit"] {
padding: 10px 20px;
background-color: #333;
color: #fff;
border: none;
border-radius: 5px;
cursor: pointer;
}

button[type="submit"]:hover {
background-color: #555;
}



/* //footer css  */

#footer {
background-color: #333;
color: #fff;
padding: 40px 0;
}

.container {
max-width: 1200px;
margin: 0 auto;
padding: 0 20px;
}

.footer-content {
display: flex;
justify-content: space-between;
flex-wrap: wrap;
margin-bottom: 30px;
margin-top: 5px;
}

.footer-logo img {
height: 50px;
transition: transform 0.3s ease;
}

.footer-logo img:hover {
transform: scale(1.1);
}

.footer-links ul {
list-style: none;
padding: 0;
margin: 0;
margin-top: 5px;
}

.footer-links li {
margin-bottom: 10px;
}

.footer-links a {
color: #fff;
text-decoration: none;
transition: color 0.3s ease;
}

.footer-links a:hover {
color: #aaa;
}

.footer-contact p {
line-height: 1.6;
}

.hr {
border: none;
border-top: 1px solid #777;
margin: 20px 0;
}

.footer-bottom {
display: flex;
justify-content: space-between;
align-items: center;
opacity: 0;
animation: fadeIn 1s ease forwards;
margin-top: 10px;
}

@keyframes fadeIn {
0% {
  opacity: 0;
}
100% {
  opacity: 1;
}
}

.social-media-icons{
width: 20px;
margin: 0 3px;
}

.social-media-icons a {
color: #fff;
margin-right: 10px;
font-size: 18px;
text-decoration: none;
transition: color 0.3s ease;
}

.social-media-icons a:hover {
color: #aaa;
}

.social-media-icons i {
transition: color 0.3s ease;
}

.social-media-icons i:hover {
color: #aaa;
}


/* Media query for responsive design */

@media (max-width: 920px) {
.room-card {
  flex: 1 21%;
}

.review-card {
  flex: 1 45%;
}

#rooms .room-card:first-child,
#rooms .room-card:nth-child(2) {
  flex: 2 46%;
}
}

@media (max-width: 600px) {
.room-card {
  flex: 1 46%;
}

.review-card {
  flex: 1 50%;
  /* rotate: 30deg; */
}
.review-text > p {
  width: 100%;
  color: #666;
}
}

@media (max-width: 480px) {
.h1 {
  margin-bottom: 20px;
}
.rooms-heading, .review-heading{
  font-size: 1.5rem;
}
.review-text > p {
  width: 100%;
  color: #666;
}
}
@media(max-width: 644px) {
.about-img{
  width: 350px;
}
}
@media(max-width: 455px) {
.about-img{
  width: 300px;
}
}
@media(max-width: 1300px) {
.about-left-text{
  width: 100%;
}
.about-right-img{
  width: 100%;
}
.about-img{
  width: 100%;
}
}
